#
# spec file for package festival-spanish-voices
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           festival-spanish-voices
Version:        1.0.0
Release:        3.2
Summary:        Spanish voices «PAL» and «SFL» for Festival
License:        GPL-2.0+
Group:          Productivity/Text/Convertors
Url:            http://forja.guadalinex.org/projects/hispavoces/
Source0:        http://v4.guadalinex.org/guadalinex-toro/pool-test/main/f/festival-spanish-voices/festival-spanish-voices_%{version}.orig.tar.gz
# The distribution could be better, but in the deb package it's made clear it
# is GPL-2.0+. I got confirmation through email and just in case here is said
# again: https://bugzilla.redhat.com/show_bug.cgi?id=496011#c5
Source1:        COPYING
BuildRequires:  fdupes
BuildRequires:  festival
Requires:       festival
# This gets expanded to "Supplements: festival & namespace:language(es)"
Provides:       locale(festival:es)
BuildArch:      noarch

%description
Male and female Castillian-Spanish (es_ES) voices «PAL» and «SFL» for Festival.

This is a diphone-based male Spanish voice for the Festival speech synthesis
system. These original audio files were recorded by a professional voice talent
in a recording studio.

This voice was developed by the Consejeria de Innovacion, Ciencia y Empresa of
the Junta de Andalucia on a project awarded to MP Sistemas in collaboration with
Intelligent Dialogue Systems (INDISYS).

The primary objective was to integrate a higher-quality diphone-based Spanish
voice in Guadalinex v4.0, an Ubuntu-based Linux distribution promoted by the
Government of Andalusia (Spain). See http://www.guadalinex.org for more
information.

%prep
%setup -q

%build

%install
%{__mkdir_p} '%{buildroot}%{_datadir}/festival/voices/spanish'
%{__cp} -pR JuntaDeAndalucia_es_sf_diphone JuntaDeAndalucia_es_pa_diphone '%{buildroot}%{_datadir}/festival/voices/spanish'
%{__cp} %{S:1} .
%fdupes -s '%{buildroot}%{_datadir}/festival/voices/spanish'

%files
%defattr(0644, root, root, 0755)
%doc COPYING
%{_datadir}/festival/voices/spanish

%changelog
* Wed Jun 24 2009 reddwarf@opensuse.org
- Initial package
